package com.jiayue.insu.incloud.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.insu.incloud.entity.Record;

import java.time.LocalDateTime;
/**
 * 数据记录业务接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface RecordService extends IService<Record> {

    /**
     *  查询记录
     * @param time 时间
     * @param type 日志类型
     * @param state 状态
     * @param station 场站编码
     * @return
     */
    Record findTimeAndTypeAndStateAndStation(LocalDateTime time,String type,String state,String station);


}
