package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

/**
 * 实时预测功率抽象实体
 *
 * @author zzy
 * @version 1.0
 * @since 2019/11/28 16:04
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AbstractForecastPower
		extends AbstractForecastPowerBase {

	/**
	 * 预测功率（MW）
	 */
	@TableField("C_FP_VALUE")
	private BigDecimal fpValue;

}
