package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

/**
 * 超短期预测功率实体
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/1 10:56
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("t_forecast_power_ultra_short_term")
public class ForecastPowerUltraShortTerm extends AbstractForecastPower {
    /**
     * 由差值计算出来的超短期（MW）
     */
    @TableField("C_DIFFERENCE_VALUE")
    private BigDecimal DifferenceValue;

    /**
     * 由短期*系数计算出来的超短期（MW）
     */
    @TableField("C_COEFFICIENT_VALUE")
    private BigDecimal CoefficientValue;
}
