package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.passback.entity.eunm.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 上报文件通道
 *
 * @author xsl
 * @version 3.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("t_upload_file_channel")
public class UploadFileChannel extends AbstractBaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("C_ID")
    private Integer id;

    /**
     * 上报对象ID
     */
    @TableField("C_UPLOAD_OBJECT_ID")
    private Integer uploadObjectId;

    /**
     * 通道名称
     */
    @TableField("C_CHANNEL_NAME")
    private String channelName;

    /**
     * 通道使用状态
     */
    @TableField("C_CHANNEL_STATUS_ENUM")
    private ChannelStatusEnum channelStatusEnum;

}
