package com.jiayue.insu.inclientqn.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @description: 一体化响应VO
 * @author: yuanhao
 * @createDate: 2021/8/24
 * @version: 1.0
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ResponseVo {

    /**
     * 响应码
     */
    private String retCode;
    /**
     * 响应信息
     */
    private String retMsg;

    /**
     * 响应数据
     */
    private String data;
}
