package com.jiayue.insu.inclientqn.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.insu.inclientqn.entity.QuartzBase;

import java.util.List;

/**
 * 定时任务初始业务接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface QuartzBaseService extends IService<QuartzBase> {

    /**
     * 通过执行类查询
     * @param executeClass 执行类路径
     * @return 结果
     */
    QuartzBase findByExecuteClass(String executeClass);
    /**
     * 通过定时任务编码查询
     * @param code 定时任务编码
     * @return 结果
     */
    QuartzBase findByCode(String code);


}
