package com.jiayue.insu.incloud.constants.enums;
/**
 * 通用状态  StatusEnum
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */

public enum StatusEnum {
    SUCCESS("success","success","成功"),
    RESPONSE_FAIL("response_fail","response_fail","请求失败,响应错误"),
    DOWNLOAD_FILE_FAIL("response_fail","response_fail","下载文件失败"),
    CREATE_FILE_FAIL("create_file_fail","create_file_fail","生成文件失败"),
    PUSH_URL_ERROR("push_url_error","push_url_error","推送sftp地址/端口错误"),
    DOWNLOAD_FILE_ERROR("response_fail","response_fail","下载文件异常"),
    FILE_NULL("file_null","file_null","下载文件为空"),
    STATION_CODE_NULL("station_code_null","station_code_null","场站编码为空"),


    CONNECT_RESPONSE_FORMAT_ERROR("response_format_error","response_format_error","响应格式异常"),
    CONNECT_RESPONSE_CONTENT_NULL("response_content_null","response_content_null","响应内容为空"),
    CONNECT_ERROR("connect_error","connect_error","链接异常"),


    DATA_DEFICIENCY("data_deficiency","data_deficiency","数据缺失"),
    ;

    private String code;
    private String sign;
    private String msg;

    StatusEnum(String code,String sign, String msg) {
        this.code = code;
        this.sign = sign;
        this.msg  =msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }


    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }


    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
