package com.jiayue.insu.incloud.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * Quartz 定时任务
 *
 * @author yh
 * @version 1.0
 * @since 2018/12/7 16:22
 */
@TableName(value = "in_quartz")
@Data
public class Quartz extends BaseEntity{

    @TableId(type = IdType.AUTO)
    private Integer id;
    /*任务名称*/
    private String name;
    /*任务标识*/
    private String jobName;
    /*任务状态*/
    private String jobState;
    /*执行类*/
    private String executeClass;
    /*任务描述*/
    private String description;
    /*cron时间表达式或轮询时间*/
    private String cronExpression;
    /*类型*/
    private String jobType;
    /*开始时间*/
    private Long startTime;

    /**
     * 场站标识
     */
    private String stationCode;

    @TableField(exist = false)
    private String operate; //操作
    @TableField(exist = false)
    private Date nextFireTime;//下次执行时间
    @TableField(exist = false)
    private Date prevFireTime;//上次执行时间
    @TableField(exist = false)
    private Date laetFireTime;//最后执行时间


}
