package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * 设备数据
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/19 14:28
 */

@Data
public class AbstractEquipmentStatusData implements Serializable {

    private static final long serialVersionUID = 1L;


    @TableId("C_ID")
    private Integer id;

    /**
     * 设备编号
     */
    @TableField("C_EQUIPMENT_NO")
    private Integer equipmentNo;

    /**
     * 时间
     */
    @TableField("C_TIME")
    private Date time;


}
