package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.jiayue.passback.entity.eunm.PredictionModelEnum;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * 预测功率抽象实体
 *
 * @author zzy
 * @version 1.0
 * @since 2018/11/2 12:23
 */
@Data
public class AbstractForecastPowerBase implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value="C_ID",type = IdType.AUTO)
    private Integer id;

    /**
     * 生成日期
     */
    @TableField("C_GEN_DATE")
    private Date genDate;

    /**
     * 预测时间
     */
    @TableField("C_FORECAST_TIME")
    private Long forecastTime;

    /**
     * 预测模型
     */
    @TableField("C_PREDICTION_MODEL_ENUM")
    private PredictionModelEnum predictionModelEnum;

}
