package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.passback.entity.eunm.FileStatusEnum;
import com.jiayue.passback.entity.eunm.FileTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 上报文件日志
 *
 * @author xsl
 * @version 3.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("t_upload_file_log")
public class UploadFileLog extends AbstractBaseEntity {

    /**
     * BACKUPA存生成文件所属时刻
     */

    private static final long serialVersionUID = 1L;

    @TableId("C_ID")
    private Integer id;

    /**
     * 上报对象编号
     */
    @TableField("C_UPLOAD_OBJECT_NO")
    private String uploadObjectNo;

    /**
     * 文件名称
     */
    @TableField("C_FILE_NAME")
    private String fileName;

    /**
     * 文件类型
     */
    @TableField("C_FILE_TYPE_ENUM")
    private String fileTypeEnum;

    /**
     * 文件状态
     */
    @TableField("C_FILE_STATUS_ENUM")
    private String fileStatusEnum;

    /**
     * 文件状态
     */
    @TableField("C_CREATE_TIME")
    private Date creatTime;

}
